
//
//  Root.h - (Main / Root) Header
//
//  This document contains file that you may use at your own risk in your own programs.
//
//  This module is designed to work with the exercises for this book.
//
//      This is the memory, file, management, module header.
//
//  Created - 13 Mar, 2002 - James Leiterman
//
//  Last Modification
//
//  stab=4
//



#ifndef Root_H
#define Root_H

#include    "util.h"


#ifdef __cplusplus
    extern "C" {
#endif





//
//  File Node
//
typedef struct FileNodeType
{
    struct  FileNodeType *next;                         // Next File (Node)

    bool    bIgnore;                                    // Empty file so ignore!

} FileNode;



//
//  Local Data
//

typedef struct
{
    bool            bVerbose;
    
    FileNode        *top;                               // Beginning of list
    uint            nFileNodeCnt;                       // # of File Nodes
} AppData;


extern AppData app;





#ifdef __cplusplus
}
#endif

#endif  //Root_H
