
//
//  yuv12Data.h - YUV12 bit Image Data
//
//  This document contains file that you may use at your own risk in your own programs.
//
//  This module is designed to work with the exercises for this book.
//
//  Created - 21 Feb, 2002 - James Leiterman
//
//  Last Modification
//
//
//  stab=4
//

#include    "KariType.h"                                // Master Definitions


#ifndef __yuv2Data_H
#define __yuv2Data_H

#ifdef __cplusplus
extern "C" {
#endif


//  Test Data parameters

#define IMG_WIDTH   64
#define IMG_HEIGHT  64

#define UV_STRIDE   32
#define Y_STRIDE    64


extern uint8 YTblTestData[];
extern uint8 UTblTestData[];
extern uint8 VTblTestData[];



#ifdef __cplusplus
}
#endif

#endif  //__yuv2Data_H


